Package com.arms.api.blog.service

## Interface BlogService

- All Superinterfaces:
    `TreeService`
  All Known Implementing Classes:
    `BlogServiceImpl`

      public interface BlogService
      extends TreeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BlogEntity` | `addBlog​(BlogDTO blogDto)` |
    `BlogDTO` | `getBlog​(BlogDTO blogDTO)` |
    `java.util.List<BlogEntity>` | `getLatestBlogList​(BlogDTO blogDto)` |
    `java.util.Map<java.lang.String,​java.lang.Object>` | `getPaginatedBlogList​(BlogDTO blogDto, int pageIndex, int pageUnit)` |
    `java.util.List<BlogDTO>` | `getPopularBlogList​(BlogDTO blogDto)` |
    `java.util.List<BlogEntity>` | `getRecommendedBlogList​(BlogDTO blogDTO)` |
    `int` | `removeBlog​(BlogDTO blogDto)` |
    `BlogVO` | `searchBlogList​(BlogDTO blogDTO)` |
    `BlogEntity` | `updateBlog​(BlogDTO blogDto)` |

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Method Detail

    - #### getBlog

          BlogDTO getBlog​(BlogDTO blogDTO)
                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addBlog

          BlogEntity addBlog​(BlogDTO blogDto)
                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateBlog

          BlogEntity updateBlog​(BlogDTO blogDto)
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeBlog

          int removeBlog​(BlogDTO blogDto)
                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getLatestBlogList

          java.util.List<BlogEntity> getLatestBlogList​(BlogDTO blogDto)
                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPopularBlogList

          java.util.List<BlogDTO> getPopularBlogList​(BlogDTO blogDto)
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getPaginatedBlogList

          java.util.Map<java.lang.String,​java.lang.Object> getPaginatedBlogList​(BlogDTO blogDto,
                                                                                      int pageIndex,
                                                                                      int pageUnit)
                                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getRecommendedBlogList

          java.util.List<BlogEntity> getRecommendedBlogList​(BlogDTO blogDTO)
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### searchBlogList

          BlogVO searchBlogList​(BlogDTO blogDTO)